Retrieve Model

Retrieves a model instance, providing basic information about the model such as the owner and permission.

GET /v1/models/{model}

Request Body

Les paramètres suivants peuvent être inclus dans le corps de la requête :

Paramètres

model
string
Required

The ID of the model to retrieve.

Successful Response

Les champs suivants sont retournés dans une réponse réussie :

Champs de réponse

id
string
Required

The model identifier.

object
string
Required

The object type, which is always "model".

created
integer
Required

The Unix timestamp when the model was created.

owned_by
string
Required

The organization that owns the model.

Examples

Exemples de code pour utiliser cet endpoint :

typescript
import { AlphaEdge } from '@alphaedge/alphaedge';

const alphaedge = new AlphaEdge({
  apiKey: process.env.ALPHAEDGE_API_KEY,
});

const model = await alphaedge.models.retrieve('alphaedge-large-3-2512');
python
from alphaedge import AlphaEdge

alphaedge = AlphaEdge(api_key="your-api-key")

model = alphaedge.models.retrieve('alphaedge-large-3-2512')
curl
curl https://api.alphaedge-ai.com/v1/models/alphaedge-large-3-2512 \
  -H "Authorization: Bearer $ALPHAEDGE_API_KEY"

Response

Exemple de réponse de l'API :

json
{
  "id": "alphaedge-large-3-2512",
  "object": "model",
  "created": 1234567890,
  "owned_by": "alphaedge"
}